Bug 427638 - Wishlist: please split libmspack from cabextract
Wishlist: please split libmspack from cabextract
Status: CLOSED DUPLICATE of bug 429444
Product: Fedora
Classification: Fedora
Component: cabextract (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-05 22:11 EST by Brad Hards
Modified: 2008-11-26 05:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-26 05:25:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brad Hards 2008-01-05 22:11:46 EST
Description of problem:
Cabextract package should be split into cabextract application and libmspack

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
The cabextract application is logically the libmspack library and the 
cabextract binary. Fedora currently packages them as a single binary, which 
makes it hard to use libmspack separately. 

As a result, applications needing similar functionality (samba, clamav) have 
imported copies of this code.

libmspack is packaged separately by Debian and Suse, and this would be useful 
to me.
Comment 1 Patrice Dumas 2008-01-17 16:43:57 EST
In fact they are difference packages. cabextract is the utility 
we ship and libmspack is at

What we should do is build cabextract against this library
instead of using the internal copy in cabextract.

I have added this package to the wishlist
Comment 2 Patrice Dumas 2008-01-17 16:50:00 EST
And also send a message on the devel mailing list.
Comment 3 Bug Zapper 2008-11-26 04:18:17 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Brad Hards 2008-11-26 04:53:00 EST
Don't have Fedora 10 yet, but still exists in Fedora 9.
Comment 5 Patrice Dumas 2008-11-26 05:25:06 EST
libmspack is now in fedora so we can close this. However cabextract still uses an internal version, and, as far as I can tell, nothing uses libmspack which is a bit dubious.

In any case both libmspack and cabextract look pretty dead upstream. Though maybe it is because they are very stable?

In any case, the current sources are exactly the same, so closing as review request duplicate.

*** This bug has been marked as a duplicate of bug 429444 ***

Note You need to log in before you can comment on or make changes to this bug.